<?php
include '../system/bd.php';
include '../system/cook.php';
include ("../system/gzip.php");
if(isset($_SESSION['auth']) && $_SESSION['auth']==1){
include '../system/head.php';
include '../system/head1.php';
$req = mysql_query("SELECT * FROM `user` WHERE `id` = '$user[id]'");
////////////////////////////
$avto=mysql_num_rows($req);
if($avto=="0"){
echo'Ошибка 1';
include 'inc/nogi.php';
exit;
}
$us = mysql_fetch_array($req);
if(empty($us[clan])){
echo' <div class="title">Ошибка</div>
<div class="empty_block item_center"> Вы не состоите в банде! </div>';
echo'<div class="block_link">';
echo"<a href='../index.php'> <img src ='../img/images/arrow.png'> Вернуться</a></div>";
include '../system/foot.php';
exit;}
/////////////

if($us[clan]!="$clans[id]"){

$req = mysql_query("SELECT * FROM `clans` where `id`='$us[clan]' or `leader`='$us[clan]' ");

$req = mysql_query("SELECT * FROM `clans` where `id`='$us[clan]' or `leader`='$us[clan]' ");

$avto=mysql_num_rows($req);
if($avto==1){
$clan1 = mysql_fetch_array($req);
$req = mysql_query("SELECT `id` FROM `user` where `clan`='$clan1[id]'");



////////////////////////////
$kk=mysql_num_rows($req);

echo ' ' ;

} 

switch($_GET[mod]){
default:


case 'up':
////////////////////////////

if($user[clan_prava] == 'no'){
echo" <div class='title'> Клан</div> <div class='empty_block item_center'> Попытка взлома лидера банды </div>";
include '../system/foot.php';
exit;
}

if(empty($_GET[usr])){
echo" <div class='title'> Клан</div> <div class='empty_block item_center'> Не выбран игрок </div>";
include '../system/foot.php';
exit;
}
if($_GET[usr]==$user[id]){
echo" <div class='title'> Клан</div> <div class='empty_block item_center'> Вы не можете сами себя повышать!</div>";
include '../system/foot.php';
exit;
}
$req = mysql_query("SELECT `login`,`clan`, `clan_prava`, `id` FROM `user` WHERE `id` = '".mysql_real_escape_string($_GET['usr'])."'LIMIT 1");
// //////////////////////////
$claner = mysql_fetch_array($req);
if($claner[clan] == $user[clan]) {

echo" <div class='title'> Клан</div> <div class='empty_block item_center'> Повысить <a> $claner[login] </a> ";

if($claner[clan_prava] == 'rookie' || $claner[clan_prava] == 'no'){
echo' до рядового ';}
if($claner[clan_prava] == 'squaddie'){
echo' до заместителя';} 
 echo"</div>";


echo ' <div class="block_link">
 <table width="100%" border="0" cellpadding="0" cellspacing="0" style="color:#E5CBB7">
<tbody>
<tr>';
if($claner[clan_prava] == 'rookie' || $claner[clan_prava] == 'no'){
echo' <td align="center" width="50%"><a href="?mod=up_squaddie&usr='.mysql_real_escape_string($_GET['usr']).' LIMIT 1">
Да</a></td> ';
}
if($claner[clan_prava] == 'squaddie'){
echo' <td align="center" width="50%"><a href="?mod=up_deputy&usr='.mysql_real_escape_string($_GET['usr']).' LIMIT 1">
Да</a></td> ';
}
echo' <td align="center"><a href="?">Нет</a>
</td></tr></tbody></table></div>';



    }else{
    echo" <div class='title'> Клан</div> <div class='empty_block item_center'> Нет такого игрока в клане</div>";
include '../system/foot.php';
    exit;
    }


break;

         //////////////////////


case 'up_squaddie':

////////////////////////////

if($user[clan_prava] == 'no'){
echo" <div class='title'> Клан</div> <div class='empty_block item_center'> Попытка взлома лидера банды </div>";
include '../system/foot.php';
exit;
}

if(empty($_GET[usr])){
echo" <div class='title'> Клан</div> <div class='empty_block item_center'> Не выбран игрок </div>";
include '../system/foot.php';
exit;
}
if($_GET[usr]==$user[id]){
echo" <div class='title'> Клан</div> <div class='empty_block item_center'> Вы не можете сами себя повышать!</div>";
include '../system/foot.php';
exit;
}
$req = mysql_query("SELECT `login`,`clan`, `clan_prava`, `id` FROM `user` WHERE `id` = '".mysql_real_escape_string($_GET['usr'])."'LIMIT 1");
// //////////////////////////
$claner = mysql_fetch_array($req);


if($claner[clan] == $user[clan]) {

mysql_query("UPDATE `user` SET 
`clan_prava` = 'squaddie'
WHERE `id` = '".mysql_real_escape_string($_GET['usr'])."'");



echo" <div class='title'> Клан</div> <div class='empty_block item_center'> Игрок повышен до рядового </div>";
header ("Location: ?mod=up_ok&usr=$_GET[usr]");



$text = "Лидер клана $user[login] повысил вас до рядоого";
$dater = time();
mysql_query("INSERT INTO `mail` SET `user` = '2', `to` = '".mysql_real_escape_string($_GET['usr'])."', `time` = '$dater', `read` = '0', `msg` = '$text'");

    }else{
    echo" <div class='title'> Клан</div> <div class='empty_block item_center'> Нет такого игрока в клане</div>";
include '../system/foot.php';
    exit;
    }
$dater = time();

$n2='Лидер клана <a href=\"../users.php?id='.$user[id].'\">'.$user[login].'</a> повысил <a href=\"../users.php?id='.$claner[id].'\">'.$claner[login].' 
</a> до <a>рядового</a>';

mysql_query("INSERT INTO `clans_journal`
(`clan`,`msg`,`time`) VALUES ('".$user[clan]."', '".$n2."', '".$dater."')");
break;



case 'up_deputy':

////////////////////////////

if($user[clan_prava] == 'no'){
echo" <div class='title'> Клан</div> <div class='empty_block item_center'> Попытка взлома лидера банды </div>";
include '../system/foot.php';
exit;
}

if(empty($_GET[usr])){
echo" <div class='title'> Клан</div> <div class='empty_block item_center'> Не выбран игрок </div>";
include '../system/foot.php';
exit;
}
if($_GET[usr]==$user[id]){
echo" <div class='title'> Клан</div> <div class='empty_block item_center'> Вы не можете сами себя повышать!</div>";
include '../system/foot.php';
exit;
}
$req = mysql_query("SELECT `login`,`clan`, `clan_prava`, `id` FROM `user` WHERE `id` = '".mysql_real_escape_string($_GET['usr'])."'LIMIT 1");
// //////////////////////////
$claner = mysql_fetch_array($req);


if($claner[clan] == $user[clan]) {


mysql_query("UPDATE `user` SET 
`clan_prava` = 'deputy'
WHERE `id` = '".mysql_real_escape_string($_GET['usr'])."'");

echo" <div class='title'> Клан</div> <div class='empty_block item_center'> Игрок повышен до заместителя</div>";
header ("Location: ?mod=up_ok&usr=$_GET[usr]");



$text = "Лидер клана $user[login] повысил вас до заместителя";
$dater = time();
mysql_query("INSERT INTO `mail` SET `user` = '2', `to` = '".mysql_real_escape_string($_GET['usr'])."', `time` = '$dater', `read` = '0', `msg` = '$text'");

    }else{
    echo" <div class='title'> Клан</div> <div class='empty_block item_center'> Нет такого игрока в клане</div>";
include '../system/foot.php';
    exit;
    }

$dater = time();

$n2='Лидер клана <a href=\"../users.php?id='.$user[id].'\">'.$user[login].'</a> повысил <a href=\"../users.php?id='.$claner[id].'\">'.$claner[login].' 
</a> до <a>заместителя</a>';

mysql_query("INSERT INTO `clans_journal`
(`clan`,`msg`,`time`) VALUES ('".$user[clan]."', '".$n2."', '".$dater."')");
break;


case 'up_ok':

////////////////////////////

if($user[clan_prava] == 'no'){
echo" <div class='title'> Клан</div> <div class='empty_block item_center'> Попытка взлома лидера банды </div>";
include '../system/foot.php';
exit;
}

if(empty($_GET[usr])){
echo" <div class='title'> Клан</div> <div class='empty_block item_center'> Не выбран игрок </div>";
include '../system/foot.php';
exit;
}
if($_GET[usr]==$user[id]){
echo" <div class='title'> Клан</div> <div class='empty_block item_center'> Вы не можете сами себя повышать!</div>";
include '../system/foot.php';
exit;
}
$req = mysql_query("SELECT `login`,`clan`, `clan_prava`, `id` FROM `user` WHERE `id` = '".mysql_real_escape_string($_GET['usr'])."'LIMIT 1");
// //////////////////////////
$claner = mysql_fetch_array($req);

if($claner[clan] == $user[clan]) {


echo" <div class='title'> Клан</div> <div class='empty_block item_center'> Игрок повышен до";
if($claner[clan_prava] == 'deputy') {
echo' заместителя';}
if($claner[clan_prava] == 'squaddie') {
echo' рядового';}

echo"</div>";
echo'';
 }else{
    echo" <div class='title'> Клан</div> <div class='empty_block item_center'> Нет такого игрока в клане</div>";
include '../system/foot.php';
    exit;
    }
break;

///////
case 'down':
////////////////////////////

if($user[clan_prava] == 'no'){
echo" <div class='title'> Клан</div> <div class='empty_block item_center'> Попытка взлома лидера банды </div>";
include '../system/foot.php';
exit;
}

if(empty($_GET[usr])){
echo" <div class='title'> Клан</div> <div class='empty_block item_center'> Не выбран игрок </div>";
include '../system/foot.php';
exit;
}
if($_GET[usr]==$user[id]){
echo" <div class='title'> Клан</div> <div class='empty_block item_center'> Вы не можете сами себя понижать!</div>";
include '../system/foot.php';
exit;
}
$req = mysql_query("SELECT `login`,`clan`, `clan_prava`, `id` FROM `user` WHERE `id` = '".mysql_real_escape_string($_GET['usr'])."'LIMIT 1");
// //////////////////////////
$claner = mysql_fetch_array($req);
if($claner[clan] == $user[clan]) {

echo" <div class='title'> Клан</div> <div class='empty_block item_center'> Понизить <a> $claner[login] </a> ";

if($claner[clan_prava] == 'deputy'){
echo' до рядового ';}
if($claner[clan_prava] == 'squaddie'){
echo' до новобранца';} 
 echo"</div>";


echo ' <div class="block_link">
 <table width="100%" border="0" cellpadding="0" cellspacing="0" style="color:#E5CBB7">
<tbody>
<tr>';
if($claner[clan_prava] == 'deputy'){
echo' <td align="center" width="50%"><a href="?mod=down_squaddie&usr='.mysql_real_escape_string($_GET['usr']).' LIMIT 1">
Да</a></td> ';
}
if($claner[clan_prava] == 'squaddie'){
echo' <td align="center" width="50%"><a href="?mod=down_rookie&usr='.mysql_real_escape_string($_GET['usr']).' LIMIT 1">
Да</a></td> ';
}
echo' <td align="center"><a href="?">Нет</a>
</td></tr></tbody></table></div>';



    }else{
    echo" <div class='title'> Клан</div> <div class='empty_block item_center'> Нет такого игрока в клане</div>";
include '../system/foot.php';
    exit;
    }


break;

         //////////////////////


case 'down_squaddie':

////////////////////////////

if($user[clan_prava] == 'no'){
echo" <div class='title'> Клан</div> <div class='empty_block item_center'> Попытка взлома лидера банды </div>";
include '../system/foot.php';
exit;
}

if(empty($_GET[usr])){
echo" <div class='title'> Клан</div> <div class='empty_block item_center'> Не выбран игрок </div>";
include '../system/foot.php';
exit;
}
if($_GET[usr]==$user[id]){
echo" <div class='title'> Клан</div> <div class='empty_block item_center'> Вы не можете сами себя понижать!</div>";
include '../system/foot.php';
exit;
}
$req = mysql_query("SELECT `login`,`clan`, `clan_prava`, `id` FROM `user` WHERE `id` = '".mysql_real_escape_string($_GET['usr'])."'LIMIT 1");
// //////////////////////////
$claner = mysql_fetch_array($req);


if($claner[clan] == $user[clan]) {

mysql_query("UPDATE `user` SET 
`clan_prava` = 'squaddie'
WHERE `id` = '".mysql_real_escape_string($_GET['usr'])."'");



echo" <div class='title'> Клан</div> <div class='empty_block item_center'> Игрок повышен до рядового </div>";
header ("Location: ?mod=down_ok&usr=$_GET[usr]");



$text = "Лидер клана $user[login] понизил вас до рядового";
$dater = time();
mysql_query("INSERT INTO `mail` SET `user` = '2', `to` = '".mysql_real_escape_string($_GET['usr'])."', `time` = '$dater', `read` = '0', `msg` = '$text'");

    }else{
    echo" <div class='title'> Клан</div> <div class='empty_block item_center'> Нет такого игрока в клане</div>";
include '../system/foot.php';
    exit;
    }
$dater = time();

$n2='Лидер клана <a href=\"../users.php?id='.$user[id].'\">'.$user[login].'</a> понизил <a href=\"../users.php?id='.$claner[id].'\">'.$claner[login].' 
</a> до <a>рядового</a>';

mysql_query("INSERT INTO `clans_journal`
(`clan`,`msg`,`time`) VALUES ('".$user[clan]."', '".$n2."', '".$dater."')");
break;



case 'down_rookie':

////////////////////////////

if($user[clan_prava] == 'no'){
echo" <div class='title'> Клан</div> <div class='empty_block item_center'> Попытка взлома лидера банды </div>";
include '../system/foot.php';
exit;
}

if(empty($_GET[usr])){
echo" <div class='title'> Клан</div> <div class='empty_block item_center'> Не выбран игрок </div>";
include '../system/foot.php';
exit;
}
if($_GET[usr]==$user[id]){
echo" <div class='title'> Клан</div> <div class='empty_block item_center'> Вы не можете сами себя понижать!</div>";
include '../system/foot.php';
exit;
}
$req = mysql_query("SELECT `login`,`clan`, `clan_prava`, `id` FROM `user` WHERE `id` = '".mysql_real_escape_string($_GET['usr'])."'LIMIT 1");
// //////////////////////////
$claner = mysql_fetch_array($req);


if($claner[clan] == $user[clan]) {


mysql_query("UPDATE `user` SET 
`clan_prava` = 'rookie'
WHERE `id` = '".mysql_real_escape_string($_GET['usr'])."'");

echo" <div class='title'> Клан</div> <div class='empty_block item_center'> Игрок понижен до новобранца</div>";
header ("Location: ?mod=down_ok&usr=$_GET[usr]");



$text = "Лидер клана $user[login] понизил вас до новобранца";
$dater = time();
mysql_query("INSERT INTO `mail` SET `user` = '2', `to` = '".mysql_real_escape_string($_GET['usr'])."', `time` = '$dater', `read` = '0', `msg` = '$text'");

    }else{
    echo" <div class='title'> Клан</div> <div class='empty_block item_center'> Нет такого игрока в клане</div>";
include '../system/foot.php';
    exit;
    }

$dater = time();

$n2='Лидер клана <a href=\"../users.php?id='.$user[id].'\">'.$user[login].'</a> понизил <a href=\"../users.php?id='.$claner[id].'\">'.$claner[login].' 
</a> до <a>новобранца</a>';

mysql_query("INSERT INTO `clans_journal`
(`clan`,`msg`,`time`) VALUES ('".$user[clan]."', '".$n2."', '".$dater."')");
break;


case 'down_ok':

////////////////////////////

if($user[clan_prava] == 'no'){
echo" <div class='title'> Клан</div> <div class='empty_block item_center'> Попытка взлома лидера банды </div>";
include '../system/foot.php';
exit;
}

if(empty($_GET[usr])){
echo" <div class='title'> Клан</div> <div class='empty_block item_center'> Не выбран игрок </div>";
include '../system/foot.php';
exit;
}
if($_GET[usr]==$user[id]){
echo" <div class='title'> Клан</div> <div class='empty_block item_center'> Вы не можете сами себя понижать!</div>";
include '../system/foot.php';
exit;
}
$req = mysql_query("SELECT `login`,`clan`, `clan_prava`, `id` FROM `user` WHERE `id` = '".mysql_real_escape_string($_GET['usr'])."'LIMIT 1");
// //////////////////////////
$claner = mysql_fetch_array($req);

if($claner[clan] == $user[clan]) {

echo" <div class='title'> Клан</div> <div class='empty_block item_center'> Игрок понижен до"; 
if($claner[clan_prava] == 'rookie') {
echo' новобранца';}
if($claner[clan_prava] == 'squaddie') {
echo' рядового';}
echo" </div>";
 }else{
    echo" <div class='title'> Клан</div> <div class='empty_block item_center'> Нет такого игрока в клане</div>";
include '../system/foot.php';
    exit;
    }
break;

         //////////////////////

}
}else{
echo"Ошибка 3";
include '../system/foot.php';
exit;}

//////////////////

}else{
header ("Location: index.php"); exit;
}
include '../system/foot.php';
?>

